Apache Tomcat 6.0.53

## org.apache.catalina.valves
Interface AccessLogValve.AccessLogElement

All Known Implementing Classes:
  AccessLogValve.ByteSentElement, AccessLogValve.CookieElement, AccessLogValve.DateAndTimeElement, AccessLogValve.ElapsedTimeElement, AccessLogValve.HeaderElement, AccessLogValve.HostElement, AccessLogValve.HttpStatusCodeElement, AccessLogValve.LocalAddrElement, AccessLogValve.LocalPortElement, AccessLogValve.LocalServerNameElement, AccessLogValve.LogicalUserNameElement, AccessLogValve.MethodElement, AccessLogValve.ProtocolElement, AccessLogValve.QueryElement, AccessLogValve.RemoteAddrElement, AccessLogValve.RequestAttributeElement, AccessLogValve.RequestElement, AccessLogValve.RequestURIElement, AccessLogValve.ResponseHeaderElement, AccessLogValve.SessionAttributeElement, AccessLogValve.SessionIdElement, AccessLogValve.StringElement, AccessLogValve.ThreadNameElement, AccessLogValve.UserElement, ExtendedAccessLogValve.CookieElement, ExtendedAccessLogValve.DateElement, ExtendedAccessLogValve.RequestAttributeElement, ExtendedAccessLogValve.RequestHeaderElement, ExtendedAccessLogValve.RequestParameterElement, ExtendedAccessLogValve.ResponseAllHeaderElement, ExtendedAccessLogValve.ResponseHeaderElement, ExtendedAccessLogValve.ServletContextElement, ExtendedAccessLogValve.SessionAttributeElement, ExtendedAccessLogValve.TimeElement

Enclosing class:
  AccessLogValve

    protected static interface AccessLogValve.AccessLogElement

AccessLogElement writes the partial message into the buffer.

Method Summary
`void` | `addElement(java.lang.StringBuffer buf, java.util.Date date, Request request, Response response, long time)`

Method Detail

### addElement

    void addElement(java.lang.StringBuffer buf,
                    java.util.Date date,
                    Request request,
                    Response response,
                    long time)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.